Bug 214985 - Review Request: pachi - Pachi El Marciano - Platform Game
Review Request: pachi - Pachi El Marciano - Platform Game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-10 09:27 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-11 03:05:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-11-10 09:27:54 EST
Spec URL: http://people.atrpms.net/~hdegoede/pachi.spec
SRPM URL: http://people.atrpms.net/~hdegoede/pachi-1.0-1.src.rpm
Description:
Pachi El Marciano is a cool 2D platform game inspired by the likes of
Manic Miner, Jet Set Willy, and more from the '80s.
Comment 1 Michel Alexandre Salim 2006-11-10 16:57:58 EST
Will do a full review later this evening, but quick question: why is the Pachi
binary SUID root? I've not had time to test it much, but the game starts and
acts normally when I removed its SUID bit.

(one rpmlint error on the binary from this)
Comment 2 Hans de Goede 2006-11-10 17:45:09 EST
It isn't suid root, its sgid games, unless something has gone wrong.
Comment 3 Michel Alexandre Salim 2006-11-10 20:24:53 EST
Almost done - building my mock cache so I can rebuild the package in mock. Last
question: where is ImageMagick used in the build process?

MUST:
rpmlint OK
spec name OK
license OK
spec language OK
spec readability OK
source verification OK
compilation (x86_64) OK
BuildRequires OK
files & directory ownerships OK

SHOULD:
icon cache updated on post & postun OK

GAMES:
- SGID dropped once score file opened OK
Comment 4 Michel Alexandre Salim 2006-11-11 00:54:10 EST
Package works OK in mock.

APPROVED (though I'm still curious where ImageMagick is used)
Comment 5 Hans de Goede 2006-11-11 03:05:30 EST
ImageMagick is needed for the convert command, which is used to convert the .ico
file to a png file.

Thanks for the review! Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.